
& when (@media-target = 'mobile') {
  .form-create-account,
  .form-edit-account,
  .form-address-edit,
  .form-login,
  .block-addresses-list,
  .form-newsletter-manage,
  .downloadable-customer-products,
  .my-reviews-table__wrapper,
  .account-billing-agreements__wrapper {
    .fieldset {
      margin-bottom: 16px;
    }

    .actions-toolbar {
      display: flex;
      justify-content: space-between;
      flex-direction: column;
      margin-top: 30px;

      @media (min-width: @screen__m) {
        flex-direction: row-reverse;
        align-items: center;
        justify-content: flex-end;
      }

      .primary + .secondary {
        margin: 8px 0 0;
        @media (min-width: @screen__m) {
          margin: 0 18px 0 0;
        }
      }
    }
  }

  .account {
    .actions-toolbar {
      a.action,
      button.action,
      .action.primary {
        display: inline-block;
        padding: 10px 18px;
        font-weight: 400;
        font-size: 14px;
        line-height: 1.5em;
        text-transform: uppercase;
        letter-spacing: .04em;

        @media (min-width: @screen__m) {
          padding: 12px 22px;
        }
      }

      .primary a.action,
      .primary button.action {
        color: @color-white;
        background: @color-primary;
        border: 0;
        &:hover {
          color: @color-white;
          background: @color-black;
        }
      }

      .secondary a.action,
      .secondary button.action {
        color: @color-white;
        background: @color-black;

        &:hover {
          color: @color-white;
          background: @color-primary;
        }
      }

      .secondary a.action {
        @media (min-width: @screen__m) {
          margin-top: 0;
        }
      }
    }
  }

  .form-edit-account,
  .form-create-account {
    .fieldset .field {
      &.password {
        div.mage-error {
          top: ~'calc(100% - 65px)';
        }
      }
      #password-strength-meter-container {
        font-size: 12px;
        line-height: 1;
        padding-top: 4px;
        margin-top: 15px;

        .password-strength-meter {
          padding: 6px 8px;
        }
      }
    }
  }
  .form-login {
    .primary {
      margin-bottom: 4px;
    }
  }

  //
  //  Account main
  //  _____________________________________________

  body.account {
    //Message styling
    .main .message.info.empty {
      color: #31708f;
      background-color: #d9edf7;
      padding: 0.8rem 3.5rem 0.8rem 3rem;
      margin-bottom: 30px;
      border: 1px solid #bce8f1;
      border-radius: 2px;
      position: relative;
      font-size: 14px;
    }

    //Block styling
    .block-title {
      position: relative;

      @media (max-width: @screen__m) {
        text-align: left;
      }
      strong {
        @media (max-width: @screen__m) {
          font-size: 16px;
        }
      }
      .action {
        position: absolute;
        right: 0;
        top: 0;
      }
    }
    //Box styling
    .box {
      address {
        margin-bottom: 1rem;
      }

      a.action {
        padding: 4px 8px;
        color: @color-white;
        background: @color-default;

        &:hover {
          color: @color-white;
          background: @color-primary;
        }
      }

      * + a.action {
        margin-top: 10px;
      }
    }

    .column.main .block:not(.widget) .block-content .box:nth-child(odd) {
      width: 90%;
    }
  }

  .sidebar .account-navigation {
    margin-bottom: 40px;
    @media (min-width: @screen__m) {
      margin-bottom: 68px;
    }

    .block-title {
      @media (min-width: @screen__m) {
        padding-bottom: 18px;
        border-bottom: 1px solid @color-border-color;
        margin-bottom: 20px;
      }
    }

    li {
      @media (max-width: (@screen__l - 1)) {
        margin-top: 12px;
      }
    }
    li.current strong {
      font-weight: 400;
      color: @color-primary;

      @media (max-width: (@screen__l - 1)) {
        font-size: 16px;
        line-height: 18px;
      }
    }
    a {
      color: @color-primary;
      &:hover {
        color: @color-text-dark;
      }

      @media (max-width: (@screen__l - 1)) {
        font-size: 16px;
        line-height: 18px;
        font-weight: 600;
      }
    }
  }

  .block-dashboard-orders,
  .block-dashboard-info,
  .block-dashboard-addresses,
  .block-reviews-dashboard,
  .customer-account-edit .form-edit-account,
  .block-addresses-default,
  .block-addresses-list,
  .custome-downloadable-products__wrapper,
  .orders-history__wrapper,
  .form-newsletter-manage,
  .my-reviews-table__wrapper,
  .account-billing-agreements__wrapper {
    border: 1px solid @color-border-color;
    border-radius: 2px;
    padding: 10px;
    margin-bottom: 20px;

    @media (min-width: (@screen__l - 1)) {
      padding: 32px 30px 40px;
      margin-bottom: 40px;
    }
    @media (max-width: @screen__l) {
      padding: 32px 30px 40px;
      margin-bottom: 40px;
    }
    @media (max-width: @screen__m) {
      padding: 20px 25px 20px 10px;
    }

    .block-title,
    .legend {
      color: @color-text-dark;
      font-size: 22px;
      line-height: 1;
      margin-bottom: 29px;

      > strong,
      > span {
        font-weight: 400;
      }

      a.action {
        font-size: 14px;
        line-height: 1;
        font-weight: 400;
        top: 50%;
        margin-top: -7px;
        padding: 0;
        &:before {
          content: '';
          display: none;
        }

        span {
          display: block;
        }
      }
    }

    .table-caption {
      display: none;
    }
  }

  .block-dashboard-info,
  .block-dashboard-addresses,
  .box-billing-address,
  .box-address-shipping {
    .row {
      @media (min-width: @screen__l) {
        > div {
          margin-bottom: 0;
        }

        align-items: stretch;
      }
    }

    .box,
    &.box {
      background: @color-bg-light;
      padding: 20px 20px 10px 25px;
      margin-bottom: 20px;
      position: relative;

      @media (min-width: @screen__m) {
        height: 100%;
      }
    }

    .box-title {
      font-size: 18px;
      font-weight: 400;
      color: @color-primary;
      margin-bottom: 22px;
    }

    .box-content {
      line-height: 2;

      p {
        margin-bottom: 18px;
      }
    }

    .box-actions {
      .action.edit {
        position: absolute;
        top: 22px;
        right: 15px;
        background-color: transparent;
        font-size: 14px;
        line-height: 1;
        color: @color-text-lightest;

        &:hover {
          color: @color-primary;
          background: transparent;
        }
      }
    }
  }

  .block-addresses-list {
    .block-content {
      background: @color-bg-light;
      padding: 20px 20px 25px 25px;
      margin-bottom: 25px;
      position: relative;

      @media (min-width: @screen__m) {
        height: 100%;
      }

      .action.edit,
      .action.delete {
        position: absolute;
        top: 22px;
        right: 15px;
        background-color: transparent;
        font-size: 14px;
        line-height: 1;
        color: @color-text-lightest;

        &:hover {
          color: @color-primary;
        }
      }
      .action.delete {
        right: 35px;
      }
    }
  }

  .block-reviews-dashboard {
    .items li {
      padding: 9px 16px;
      display: flex;
      justify-content: space-between;
      align-items: center;
      &:nth-child(odd) {
        background: @color-bg-dark;
      }
    }
  }

  .block-dashboard-orders .table-order-items {
    td, th {
      @media (min-width: @screen__xl) {
        padding: 9px 20px;
      }
    }
    td.actions {
      @media (min-width: @screen__l) {
        .view {
          float: left;
        }

        .order {
          float: right;
        }
      }

      a {
        font-weight: 400;

        &.view {
          padding-right: 8px;
        }
      }
    }
  }

  // Email to Friend
  //-----------------------------------

  #add-recipient-button {
    margin-bottom: 1em;
  }

  // Popup Authentication
  //-----------------------------------

  .popup-authentication {
    .block-authentication {
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: stretch;

      @media (min-width: @screen__m) {
        flex-direction: row;
        justify-content: space-between;
      }
    }

    .block[class],
    .form-login,
    .fieldset,
    .block-content {
      display: flex;
      flex-direction: column;
    }

    .block {
      @media (min-width: @screen__m) {
        flex-basis: 50%;
      }

      &:first-child {
        padding: 0 0 32px 0;
        @media (min-width: @screen__m) {
          padding: 16px 32px 16px 0;
        }
      }

      & + .block {
        border-top: 1px solid @color-border-color;
        padding: 32px 0;

        @media (min-width: @screen__m) {
          border-top: none;
          border-left: 1px solid @color-border-color;
          padding: 16px 0 16px 32px;
        }
      }
    }

    .block-new-customer {
      .block-title {
        margin-bottom: 8px;
      }
      .block-content {
        ul {
          margin-bottom: 32px;
        }
        li {
          list-style: disc inside;
        }
      }
    }

    .block-title {
      font-size: 18px;
      font-weight: 400;
      color: @color-primary;
      margin-bottom: 22px;
    }
  }
  // Sidebar
  .account-nav .account-nav-content .item {
    a {
      color: @color-default;
    }

    &.current {
      color: @color-primary;
    }
  }
}

.customer-account-index.account.page-layout-2columns-left .grid-main .column.main, .downloadable-customer-products.account.page-layout-2columns-left .grid-main .column.main, .customer-address-form.account.page-layout-2columns-left .grid-main .column.main, .customer-account-edit.account.page-layout-2columns-left .grid-main .column.main, .vault-cards-listaction.account.page-layout-2columns-left .grid-main .column.main, .paypal-billing-agreement-index.account.page-layout-2columns-left .grid-main .column.main, .review-customer-index.account.page-layout-2columns-left .grid-main .column.main, .newsletter-manage-index.account.page-layout-2columns-left .grid-main .column.main, .sales-order-history.account.page-layout-2columns-left .grid-main .column.main, .sales-order-view.account.page-layout-2columns-left .grid-main .column.main {
  width: 100%;
}

.orders-history__wrapper .pager .toolbar-amount {
  padding: 0 0 0;
  top: -2px;

  @media (max-width: @screen__l) {
    top: -5px;
  }
  @media (max-width: @screen__m) {
    margin: 0;
  }
  .toolbar-number {
    @media (max-width: @screen__m) {
      position: relative;
      top: -9px;
    }
  }
}